View Issue Details

IDProjectCategoryView StatusLast Update
0002323FreeCADBugpublic2018-08-26 15:23
ReporterlanciauxAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002323: Workbench Start recent list of 3 files is - after a crash - not sync with recent list in File Menu Recent list of 4 files
DescriptionThere is an index of 1 file shifted - you choose top first one on Start Workbench and got another one that was earlier of that position of list.
TagsNo tags attached.

Activities

lanciaux

2015-11-16 21:26

reporter  

FreeCAD_RecentlyOpenedFiles_Bugs.png (Attachment missing)

lanciaux

2015-11-16 21:28

reporter   ~0006546

Hello, a good pic is worth a thousand words. If you choose "LIGNESDEVIE_V2015.fcstd" on right ... you will get "vaBWB_HallFlux3D_V5.fcstd" on left.

yorik

2016-02-28 22:43

administrator   ~0006861

Probably the RecentFiles parameters were not written correctly when the crash occured. In case this happens again (to you or anyone else coming here), could you:

- Open FreeCAD
- menu Tools -> Edit Parameters
- Check the contents of BaseApp -> Preferences -> RecentFiles
- Compare with the contents of menu File -> Recent Files
- Compare with the contents of the start page

Kunda1

2017-01-21 13:30

administrator   ~0007904

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=10&t=20098

Kunda1

2017-01-29 15:06

administrator   ~0008077

@chrisb writes in https://forum.freecadweb.org/viewtopic.php?f=10&t=20098&p=156785#p154919
> Has this to do with the problem that the filelist on the start page is not rewritten after opening a file? If I open a new file, close it and select one from the start page I get the wrong file.

yorik

2017-01-30 15:38

administrator   ~0008107

> Has this to do with the problem that the filelist on the start page is not rewritten after opening a file? If I open a new file, close it and select one from the start page I get the wrong file.

Not happening for me... Saving a file then reopening it shows the correct file in both the File menu and on the start page

Kunda1

2017-05-31 00:37

administrator   ~0009207

Chrisb wrote

I have the phenomenon with all my FreeCADs, e.g.

OS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9822 (Git)
Build type: None
Branch: master
Hash: 0df4af4ba5e6edce825af6ecf6d024c704292633
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Let us assume I have file1.fcstd, file2.fcstd, file3.fcstd.
I have edited file1 and file2 in reverse order, i.e. file1.fcstd is the first element in the recent filelist, file2.fcstd the second.
I close FreeCAD
I open FreeCAD and show the start screen, it shows in the recent filelist file1.fcstd and file2.fcstd.
I open file3.fcstd
In the menu I have now file3.fcstd in the first place. So far everything is correct.
If I switch to the start screen, it has not changed, it shows still file1.fcstd and file2.fcstd.
If I select file1.fcstd (which is the first entry in the list) it opens file3.fcstd instead.

Kunda1

2017-05-31 14:10

administrator   ~0009222

Last edited: 2017-05-31 14:11

View 2 revisions

@chrisb can still reproduce on:

OS: Ubuntu 14.04.5 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11174 (Git)
Build type: None
Branch: master
Hash: 0e9c1c076e311f2c3903cfa9de87c8c88daa79de
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.1.0

wmayer

2017-10-05 08:40

administrator   ~0010247

https://github.com/FreeCAD/FreeCAD/commit/74b7373e48b3799d2cd3784ebc131f4f6373e637

Issue History

Date Modified Username Field Change
2015-11-01 09:53 lanciaux New Issue
2015-11-16 21:26 lanciaux File Added: FreeCAD_RecentlyOpenedFiles_Bugs.png
2015-11-16 21:28 lanciaux Note Added: 0006546
2016-02-28 22:43 yorik Note Added: 0006861
2016-02-28 22:43 yorik Assigned To => yorik
2016-02-28 22:43 yorik Status new => feedback
2017-01-21 13:30 Kunda1 Note Added: 0007904
2017-01-29 15:06 Kunda1 Note Added: 0008077
2017-01-29 15:07 Kunda1 Tag Attached: #pending
2017-01-30 15:38 yorik Note Added: 0008107
2017-03-17 22:37 Kunda1 Tag Attached: #lowhangingfruit
2017-05-31 00:37 Kunda1 Note Added: 0009207
2017-05-31 00:37 Kunda1 Status feedback => confirmed
2017-05-31 00:37 Kunda1 Product Version => 0.17
2017-05-31 00:39 Kunda1 Status confirmed => assigned
2017-05-31 14:10 Kunda1 Note Added: 0009222
2017-05-31 14:11 Kunda1 Note Edited: 0009222 View Revisions
2017-05-31 14:11 Kunda1 Target Version => 0.17
2017-10-05 08:40 wmayer Status assigned => closed
2017-10-05 08:40 wmayer Resolution open => fixed
2017-10-05 08:40 wmayer Fixed in Version => 0.17
2017-10-05 08:40 wmayer Note Added: 0010247
2018-08-26 15:23 Kunda1 Tag Detached: #lowhangingfruit
2018-08-26 15:23 Kunda1 Tag Detached: #pending